const express = require('express');
const router = express.Router();
const Todo = require('../models/todo');

// Middleware para verificar si el usuario está autenticado
function isAuthenticated(req, res, next) {
  if (req.session.user) {
    return next();
  } else {
    return res.status(401).json({ error: 'Unauthorized' });
  }
}


router.post('/logout', (req, res) => {
  req.session.destroy((err) => {
    if (err) {
      console.error('Error al destruir la sesión:', err);
      return res.status(500).json({ error: 'Error al cerrar sesión' });
    }
    // Redirigir al cliente o enviar una respuesta exitosa
    res.status(200).json({ message: 'Logout successful' });
  });
});

module.exports = router;